import { LineInfo } from './file';
export interface LocDirOptions {
    cwd?: string;
    include?: string[] | string;
    exclude?: string[] | string;
}
export interface LocResult {
    files: string[];
    info: LineInfo;
    languages: {
        [key: string]: LineInfo & {
            sum: number;
        };
    };
}
/**
 * Collect the info of a directory.
 */
export declare class LocDir {
    private cwd;
    private include;
    private exclude;
    constructor(options: LocDirOptions);
    /**
     * Calculate directory info.
     */
    loadInfo(): Promise<LocResult>;
}
